Public Member Functions | Static Public Member Functions | Private Attributes

# GameInfo Class Reference

All static information from an Game like name, version, etc. More...

`#include <game_info.hpp>`

Inheritance diagram for GameInfo:

## Public Member Functions
bool | CanLoadFromVersion (int version) const
| Check if we can start this Game.
const char * | GetAPIVersion () const
| Get the API version this Game is written for.
bool | IsDeveloperOnly () const
| Can this script be selected by developers only?
## Static Public Member Functions
static void | RegisterAPI (Squirrel *engine)
| Register the functions of this class.
static SQInteger | Constructor (HSQUIRRELVM vm)
| Create an Game, using this GameInfo as start-template.
## Private Attributes
int | min_loadable_version
| The Game can load savegame data if the version is equal or greater than this.
bool | is_developer_only
| Is the script selectable by non-developers?
const char * | api_version
| API version used by this Game.

## Detailed Description

All static information from an Game like name, version, etc.

Definition at line 18 of file game_info.hpp.

The documentation for this class was generated from the following files:

- src/game/game_info.hpp
- src/game/game_info.cpp